Create Permission Policy
Create a new Permission Policy
NOTE: When you set up a policy statement for this call using the permissionPolicy request parameter to specify the effect, action, and resource, you must use all lower case and the format as shown in this example for a Permission Policy statement that grants full CRUD access to all meters:
"permissionPolicy" : [
{
"effect" : "allow",
"action" : [
"config:create",
"config:delete",
"config:retrieve",
"config:update"
]
"resource" : [
"config:meter/*"
]
}
]
For more details and further examples, see Understanding, Creating, and Managing Permission Policies in our main Documentation.
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the organization
Body
1 - 1001The version number of the entity:
- Create entity: Not valid for initial insertion of new entity - do not use for Create. On initial Create, version is set at 1 and listed in the response.
- Update Entity: On Update, version is required and must match the existing version because a check is performed to ensure sequential versioning is preserved. Version is incremented by 1 and listed in the response.
Response
Returns the new Permission Policy
The UUID of the entity.
The version number:
- Create: On initial Create to insert a new entity, the version is set at 1 in the response.
- Update: On successful Update, the version is incremented by 1 in the response.
The name of the Permission Policy.
Array containing the Permission Policies information.
Indicates whether this is a system generated Managed Permission Policy.
The date and time (in ISO-8601 format) when the Permission Policy was created.
The date and time (in ISO-8601 format) when the Permission Policy was last modified.
The unique identifier (UUID) of the user who created this Permission Policy.
The unique identifier (UUID) of the user who last modified this Permission Policy.